## ros-noetic-compressed-image-transport 1.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(compressed_image_transport)

find_package(OpenCV REQUIRED)
find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure image_transport)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/CompressedPublisher.cfg cfg/CompressedSubscriber.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS cv_bridge dynamic_reconfigure image_transport
  DEPENDS OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/compressed_publisher.cpp src/compressed_subscriber.cpp src/manifest.cpp)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

class_loader_hide_library_symbols(${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES compressed_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-compressed-image-transport (1.14.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#53 <https://github.com/ros-perception/image_transport_plugins/issues/53>)
  * add params for jpeg compression #35 <https://github.com/ros-perception/image_transport_plugins/issues/35>
  * fixed warning when resubscribing #25 <https://github.com/ros-perception/image_transport_plugins/issues/25>
  * Fix binary install locations for Windows build #34 <https://github.com/ros-perception/image_transport_plugins/issues/34>
  * Add legacy constants when using opencv4 #32 <https://github.com/ros-perception/image_transport_plugins/issues/32>
  * fixed warning 'Tried to advertise a service that is already advertised in this node'
  * Contributors: Alejandro Hernández Cordero, David Gossow, Hans Gaiser, Sean Yen, Till Grenzdörffer, Yuki Furuta

 -- David Gossow <dgossow@willowgarage.com>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-compressed-image-transport (1.9.5-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 07:00:00 -0000

ros-noetic-compressed-image-transport (1.9.4-1focal) focal; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with 'stdlib.h: No such file or directory',
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 07:00:00 -0000

ros-noetic-compressed-image-transport (1.9.3-1focal) focal; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 08:00:00 -0000

ros-noetic-compressed-image-transport (1.9.2-1focal) focal; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 07:00:00 -0000

ros-noetic-compressed-image-transport (1.9.1-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 07:00:00 -0000

ros-noetic-compressed-image-transport (1.9.0-1focal) focal; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 07:00:00 -0000

ros-noetic-compressed-image-transport (1.8.21-1focal) focal; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Thu, 27 Jun 2013 07:00:00 -0000

ros-noetic-compressed-image-transport (1.8.20-1focal) focal; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Mar 2013 07:00:00 -0000

ros-noetic-compressed-image-transport (1.8.19-1focal) focal; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 24 Feb 2013 08:00:00 -0000

ros-noetic-compressed-image-transport (1.8.18-1focal) focal; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 08 Feb 2013 01:59:00 -0000

ros-noetic-compressed-image-transport (1.8.17-1focal) focal; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jan 2013 08:00:00 -0000

ros-noetic-compressed-image-transport (1.8.16-1focal) focal; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 08:00:00 -0000

ros-noetic-compressed-image-transport (1.8.15-1focal) focal; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 04:11:00 -0000

ros-noetic-compressed-image-transport (1.8.14-1focal) focal; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 04:02:00 -0000

ros-noetic-compressed-image-transport (1.8.13-1focal) focal; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 03:06:00 -0000

ros-noetic-compressed-image-transport (1.8.12-1focal) focal; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Thu, 20 Dec 2012 03:30:00 -0000

ros-noetic-compressed-image-transport (1.8.11-1focal) focal; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Thu, 20 Dec 2012 01:17:00 -0000

ros-noetic-compressed-image-transport (1.8.10-1focal) focal; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Thu, 20 Dec 2012 01:03:00 -0000

ros-noetic-compressed-image-transport (1.8.9-1focal) focal; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 08:26:00 -0000

ros-noetic-compressed-image-transport (1.8.8-1focal) focal; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime


=== debian/control ===
Source: ros-noetic-compressed-image-transport
Section: misc
Priority: optional
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-noetic-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-compressed-image-transport//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
